/* ===========================================================
 * JFreeChart : a free chart library for the Java(tm) platform
 * ===========================================================
 *
 * (C) Copyright 2004, by Michel Santos
 *
 * Project Info:  http://www.jfree.org/jfreechart/index.html
 *
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation;
 * either version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License along with this
 * library; if not, write to the Free Software Foundation, Inc., 59 Temple Place, Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * [Java is a trademark or registered trademark of Sun Microsystems, Inc.
 * in the United States and other countries.]
 *
 * Created on January 2, 2004, 2:27 PM
 */


package org.jfree.chart.plot.util;

import org.jfree.chart.ChartPanel;


/**
 * A simple frame that can contain a JFreeChart.
 *
 * @author  Michel Santos
 * @since 0.9.20
 */
public class SimpleFrame extends javax.swing.JFrame {
  
  public SimpleFrame(org.jfree.chart.JFreeChart chart) {
    setSize(450, 400);
    setTitle("Simple Frame");
    /**
     * Enable WindowEvents.  Set the layout of the content pane to a
     * BorderLayout.
     */
    enableEvents(java.awt.AWTEvent.WINDOW_EVENT_MASK);
    getContentPane().setLayout(new java.awt.BorderLayout());
    /**
     * Create the graphic and add it to the content pane of the JFrame.
     */
    org.jfree.chart.ChartPanel chartPanel = new org.jfree.chart.ChartPanel(chart);
    chartPanel.setMouseZoomable(true, false);
    graphicPanel = chartPanel;
    getContentPane().add(graphicPanel, java.awt.BorderLayout.CENTER);
  }
  
  private org.jfree.chart.ChartPanel graphicPanel;
  // private javax.swing.JPanel graphicPanel = new javax.swing.JPanel(new java.awt.BorderLayout());
  public javax.swing.JPanel getJPanel() {return graphicPanel;}
  public org.jfree.chart.ChartPanel getChartPanel() {return graphicPanel;}
  
  
  /**
   * Process WindowEvents, stop program if WINDOW_CLOSING event is caught.
   * @param e WindowEvent
   */
  protected void processWindowEvent(java.awt.event.WindowEvent e) {
    super.processWindowEvent(e);
    if(e.getID() == java.awt.event.WindowEvent.WINDOW_CLOSING) {
      /**
       * Clean up windows and exit.
       */
      setVisible(false);
      dispose();
      System.exit(0);
    }
  }
}